Subject: bug#32856: closed (Re: [bug#32856] [PATCH] gnu: grammalecte: Update source hash.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 02 Oct 2018 21:07:02 +0000

Your bug report

#32856: [PATCH] gnu: grammalecte: Update source hash.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32856: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32856
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#32856] [PATCH] gnu: grammalecte: Update source hash.
From: [email-masked] (Ludovic Courtès)
To: Tobias Geerinckx-Rice <[email-masked]>
Cc: [email-masked]
Date: Tue, 02 Oct 2018 23:05:54 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] (Ludovic Courtès) skribis:

> Tobias Geerinckx-Rice <[email-masked]> skribis:
>
>> Tobias Geerinckx-Rice wrote:
>>> This is a bit too... intriguing :-) IMO we should always explain
>>> what
>>> changed & (when possible) why.
>>
>> Diffoscope output attached. It is... non-trivial. :-(
>>
>>
>>
>> Is somebody willing to ask upstream for an explanation? Maybe they'd
>> be willing to cut a new minor release.
>
> Ouch.  I’ve reported the issue at
> <http://code.grammalecte.net:8080/tktview/93208357f084fa6da1e0ebfb09d9dd9e486d0962>.

Someone nicknamed “olr” replied that it’s intended, that only
server-side code has changed as explained at
<https://www.dicollecte.org/thread.php?prj=fr&t=731> (to which I
suggested changing version numbers when such things happen).

Based on this, I’m applying Pierre-Antoine’s patch.

Thanks,
Ludo’.

Subject: [PATCH] gnu: grammalecte: Update source hash.
From: Pierre-Antoine Rouby <[email-masked]>
To: [email-masked]
Cc: Pierre-Antoine Rouby <[email-masked]>
Date: Thu, 27 Sep 2018 21:01:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/dictionaries.scm (grammalecte): Update source hash.
---
 gnu/packages/dictionaries.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/dictionaries.scm b/gnu/packages/dictionaries.scm
index 9f63223..ce7ef1c 100644
--- a/gnu/packages/dictionaries.scm
+++ b/gnu/packages/dictionaries.scm
@@ -4,6 +4,7 @@
 ;;; Copyright © 2016 Sou Bunnbu <[email-masked]>
 ;;; Copyright © 2017, 2018 Nicolas Goaziou <[email-masked]>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <[email-masked]>
+;;; Copyright © 2018 Pierre-Antoine Rouby <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -219,7 +220,7 @@ It comes with a German-English dictionary with approximately 270,000 entries.")
                            "Grammalecte-fr-v" version ".zip"))
        (sha256
         (base32
-         "1flsahqw2r0cmg0bixpl5w0acricmdh2cf4lf9zr66ydgmjnmv2s"))))
+         "11byjs3ggdhia5f4vyfqfvbbczsfqimll98h98g7hlsrm7vrifb0"))))
     (build-system python-build-system)
     (home-page "https://www.dicollecte.org")
     (synopsis  "French spelling and grammar checker")
-- 
2.7.4